/*
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.DataBean.DatabaseDataBean;

import java.awt.Component;
import java.util.Vector;

import ca.uvic.csr.shrimp.DataBean.AbstractArtifact;
import ca.uvic.csr.shrimp.DataBean.DataBean;

/**
 * @author Rob Lintern
 *
 * Represents some "artifact" or object in a database. 
 * This would most likely be an instance of an "entity" in an ER diagram, 
 * or perhaps the entity itself.
 */
public class DatabaseArtifact extends AbstractArtifact {

    /**
     * @param db
     * @param name
     * @param type
     * @param id
     */
    public DatabaseArtifact(DataBean db, String name, String type, Object externalId) {
        super(db, name, type, externalId);
    }

    /* (non-Javadoc)
     * @see ca.uvic.csr.shrimp.DataBean.AbstractArtifact#createPanel(java.lang.String)
     */
    protected Component createPanel(String panelName) {
        // probably don't need to worry about this for now if calling from CreoleDataBean
        return null;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#clone()
     */
    public Object clone() {
        // probably don't need to worry about this for now if calling from CreoleDataBean
        // TODO - may want to give the clone a different id? 
        return new DatabaseArtifact (getDataBean(), getName(), getType(), getExternalId());
    }

    /* (non-Javadoc)
     * @see ca.uvic.csr.shrimp.DataBean.Artifact#getDefaultPanelModeOrder()
     */
    public String[] getDefaultPanelModeOrder() {
        // probably don't need to worry about this for now if calling from CreoleDataBean
        return new String [] {};
    }

    /* (non-Javadoc)
     * @see ca.uvic.csr.shrimp.DataBean.Artifact#getCustomizedPanelNames()
     */
    public Vector getCustomizedPanelNames() {
        // probably don't need to worry about this for now if calling from CreoleDataBean
        return new Vector(0);
    }
    
}
